<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.model.mapper.AppletServiceLogMapper">
    
    <resultMap type="AppletServiceLog" id="AppletServiceLogResult">
        <result property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="serviceType" column="service_type"/>
        <result property="serviceTime" column="service_time"/>
        <result property="serviceSpot" column="service_spot"/>
        <result property="text" column="text"/>
        <result property="image" column="image"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>

    </resultMap>

    <sql id="selectAppletServiceLogVo">
        select id, user_id, service_type, service_time, service_spot, text, image, del_flag, create_by, create_time, update_by, update_time  from applet_service_log
    </sql>

    <select id="selectAppletServiceLogList" parameterType="AppletServiceLog" resultMap="AppletServiceLogResult">
        <include refid="selectAppletServiceLogVo"/>
        <where>
            <if test="id != null "> and id = #{id}</if>
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="serviceType != null  and serviceType != ''"> and service_type = #{serviceType}</if>
            <if test="serviceTime != null "> and service_time = #{serviceTime}</if>
            <if test="serviceSpot != null  and serviceSpot != ''"> and service_spot = #{serviceSpot}</if>
            <if test="text != null  and text != ''"> and text = #{text}</if>
            <if test="image != null  and image != ''"> and image = #{image}</if>
        </where>
    </select>
    
    <select id="selectAppletServiceLogById" parameterType="AppletServiceLog" resultMap="AppletServiceLogResult">
        <include refid="selectAppletServiceLogVo"/>
        where id = #{id}
    </select>

    <insert id="insertAppletServiceLog" parameterType="AppletServiceLog" useGeneratedKeys="true" keyProperty="id">
        insert into applet_service_log
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="userId != null">user_id,</if>
            <if test="serviceType != null and serviceType != ''">service_type,</if>
            <if test="serviceTime != null">service_time,</if>
            <if test="serviceSpot != null and serviceSpot != ''">service_spot,</if>
            <if test="text != null">text,</if>
            <if test="image != null">image,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>

        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="userId != null">#{userId},</if>
            <if test="serviceType != null and serviceType != ''">#{serviceType},</if>
            <if test="serviceTime != null">#{serviceTime},</if>
            <if test="serviceSpot != null and serviceSpot != ''">#{serviceSpot},</if>
            <if test="text != null">#{text},</if>
            <if test="image != null">#{image},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
        </trim>
    </insert>
    <update id="updateAppletServiceLog" parameterType="AppletServiceLog">
        update applet_service_log
        <trim prefix="SET" suffixOverrides=",">
            <if test="userId != null">user_id = #{userId},</if>
            <if test="serviceType != null and serviceType != ''">service_type = #{serviceType},</if>
            <if test="serviceTime != null">service_time = #{serviceTime},</if>
            <if test="serviceSpot != null and serviceSpot != ''">service_spot = #{serviceSpot},</if>
            <if test="text != null">text = #{text},</if>
            <if test="image != null">image = #{image},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>

        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppletServiceLogById" parameterType="Long">
        delete from applet_service_log where id = #{id}
    </delete>

    <delete id="deleteAppletServiceLogByIds" parameterType="String">
        delete from applet_service_log where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>